# https://github.com/code-ready/machine
%global goipath         github.com/code-ready/machine
Version:                0.0.0

%gometa

%global common_description %{expand:
CodeReady Container's machine driver support code}


%global golicenses    LICENSE
%global godocs        *.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        CodeReady Container's generic machine driver code
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

#generate_buildrequires
#go_generate_buildrequires

#BuildRequires: golang(github.com/davecgh/go-spew)
#BuildRequires: golang(github.com/pmezard/go-difflib)
BuildRequires: golang(github.com/sirupsen/logrus)
#BuildRequires: golang(github.com/stretchr/objx)
BuildRequires: golang(github.com/stretchr/testify)
#BuildRequires: golang(golang.org/x/sys)
#BuildRequires: golang(gopkg.in/check.v1)
#BuildRequires: golang(gopkg.in/yaml.v3)

#BuildRequires: golang(github-fatih-color)
#BuildRequires: golang(github.com/goccy/go-yaml)
#BuildRequires: golang(github-kylelemons-godebug)
#BuildRequires: golang(github-mattn-colorable)
#BuildRequires: golang(github-pkg-errors)
#BuildRequires: golang(github-spf13-pflag)
#BuildRequires: golang(github-spf13-cobra)
#BuildRequires: golang(golang-x-xerrors)
#BuildRequires: golang(gopkg.in/op/go-logging.v1)
#BuildRequires: golang(gopkg.in/yaml.v3)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%check
%gocheck

%gopkgfiles

%changelog
* Wed Feb 03 2021 Christophe Fergeau <cfergeau@redhat.com> - 0.0.0-1
- Initial import in Fedora
